Can't delete vertexes without removing the ones of an adjacent feature

2019-03-11 01:32 PM - Luca Pasqualini

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29373

Description

new description

Take two adjacent polygons

Toggle editing

Select the node tool

Right click with the node tool on a polygon > its nodes become "active"

Drag the node tool to select nodes in the "active" polygon, in a place where this polygon has a nearby one

Click the "del" button to delete the nodes

Expected result: only the nodes of the "active" polygon are delete (as it happen on 2.1)

Obtained result: the nodes of both the "active" and adjacent polygons are removed

old description

By selecting a single polygon to delete several of its points through a selection window, also to eliminate topological errors, points of other

polygons belonging to the same layer are also activated and deleted.

History

#1 - 2019-03-11 01:40 PM - Giovanni Manghi

- Category changed from Editing to Digitising

Luca Pasqualini wrote:

a selection window

do you mean the the vertex panel? or else?

why regression? you see a different behavior compared to previous releases?

#2 - 2019-03-11 01:40 PM - Giovanni Manghi

- Status changed from Open to Feedback
#3 - 2019-03-11 02:59 PM - Luca Pasqualini

Yes, I mean during the editing of the vertices. Compared to version 2.16 where you selected a polygon at a time and only changed that, in this version 3 the

change is automatic for all the polygons of the same layer. By clicking with the right mouse button you can only edit a polygon, but by plotting an enlarged

selection window, the nodes of other polygons are also activated.

#4 - 2019-03-11 03:52 PM - Giovanni Manghi

Luca Pasqualini wrote:

Yes, I mean during the editing of the vertices. Compared to version 2.16 where you selected a polygon at a time and only changed that, in this

version 3 the change is automatic for all the polygons of the same layer. By clicking with the right mouse button you can only edit a polygon, but by

plotting an enlarged selection window, the nodes of other polygons are also activated.

I'm sorry, I do not understand how to replicate, could you attach a screencast?

#5 - 2019-03-11 04:46 PM - Luca Pasqualini

Unfortunately I use the translator. Your name is Italian so, in addition to the translation, I leave the original script below.

I try to make myself understood with an example: I have a shape file with 2 adjacent polygons. I want to delete several points along that adjacency, so I

activate the editing and the vertex tool.

On the QGIS 2 you selected a polygon at a time and modified only that. On QGIS 3, to edit a polygon at a time, you must act with the right mouse button

and activate a further edit, otherwise you can hook the nodes of one or the other polygon according to how you move the mouse. Once you have selected

the polygon to delete the nodes, with the mouse I draw a window to select the nodes, but also select those of the other polygon because they coincide.

I hope I was clear this time.

Purtroppo uso il traduttore. Il tuo nome è italiano quindi, oltre alla traduzione, sotto lascio lo scritto originale.

Provo a farmi capire con un esempio: ho uno file shape con 2 poligoni adiacenti. Voglio cancellare diversi punti lungo tale adiacenza quindi attivo la

modifica e lo strumento vertici.

Sul QGIS 2 selezionavi un poligono alla volta e modificavi solo quello. Su QGIS 3, per modificare un poligono alla volta, bisogna agire col tasto destro del

mouse e attivare un ulteriore edit, altrimenti agganci i nodi dell'uno o dell'altro poligono a seconda di come muovi il mouse. Una volta selezionato il poligono

di cui eliminare i nodi, col mouse traccio una finestra per selezionare appunto i nodi, ma si selezionano anche quelli dell'altro poligono perché coincidono.

Spero di essere stato chiaro stavolta.

#6 - 2019-03-12 05:27 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.5 to 3.6.0

- Subject changed from Editing polygonal shapes to Can't delete vertexes without removing the ones of an adjacent feature

- Description updated

- Status changed from Feedback to Open
